Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Compare » [Papyrus] Compatible versions between Papyrus and EMFCompare?
[Papyrus] Compatible versions between Papyrus and EMFCompare? [message #1775132] Wed, 25 October 2017 07:12 Go to next message
Thomas Wiman is currently offline Thomas WimanFriend
Messages: 32
Registered: June 2012
Location: Stockholm , Sweden
Member

I am a bit confused about which versions of the EMFCompare components that are compatible with different versions of Papyrus. A compatibility matrix similar to the outdated one in the online doc (http://www.eclipse.org/emf/compare/documentation/latest/user/user-guide.html#Compatibility) would be nice to have.

I am especially interested in which version of the different EMFCompare components that are recommended (and mandatory) to be used together with Papyrus 2.0.3 on Eclipse Neon and if there are any other settings beside those described on https://sites.google.com/a/eclipsesource.com/collaborative-modeling/#TOC-Documentation-and-Notes that are mandatory for a proper behavior.

Thanks
Thomas
Re: [Papyrus] Compatible versions between Papyrus and EMFCompare? [message #1775431 is a reply to message #1775132] Mon, 30 October 2017 08:45 Go to previous messageGo to next message
Philip Langer is currently offline Philip LangerFriend
Messages: 82
Registered: March 2015
Location: Vienna, Austria
Member

Hi Thomas,

when used with Papyrus (Neon or Oxygen), I recommend to use the custom build of EMF Compare 3.3.2 that is available from http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/nightly/latest/

This version of EMF Compare is compatible with Papyrus Neon and Oxygen.

In addition to the preferences listed on https://sites.google.com/a/eclipsesource.com/collaborative-modeling/#TOC-Documentation-and-Notes I recommend to use the Scalable Conflict Detector (EMF Compare -> Engines -> Tab Conflict), enable pre-merge (EMF Compare -> Merge -> Check Pre-merge) and Workspace resolution (EMF Compare -> Resolution Strategy -> Workspace).

We are currently finalizing the migration to Papyrus Compare (see bug 515373). Once this is concluded, we will set up a dedicated documentation on the Eclipse Wiki and also update the documentation on collaborative-modeling.org.

Best wishes,

Philip


--
Philip Langer

Get professional Eclipse developer support:
http://eclipsesource.com/en/services/developer-support/

[Updated on: Mon, 30 October 2017 08:45]

Report message to a moderator

Re: [Papyrus] Compatible versions between Papyrus and EMFCompare? [message #1775608 is a reply to message #1775431] Thu, 02 November 2017 07:54 Go to previous messageGo to next message
Thomas Wiman is currently offline Thomas WimanFriend
Messages: 32
Registered: June 2012
Location: Stockholm , Sweden
Member

Thank you philip för your answer. Looking forward to the migration into Papyrus and the updated documentation. It will help users a lot.

However I run into this issue each time I try to compare conflicts in a diagram: https://bugs.eclipse.org/bugs/show_bug.cgi?id=497151
I assume the root cause is something wrong in my environment (Papyrus Neon.2 RCP-installation). Can anyone give me a hint?

/Thomas
Re: [Papyrus] Compatible versions between Papyrus and EMFCompare? [message #1775771 is a reply to message #1775608] Mon, 06 November 2017 08:30 Go to previous message
Philip Langer is currently offline Philip LangerFriend
Messages: 82
Registered: March 2015
Location: Vienna, Austria
Member

Hi Thomas,

this exception is indeed annoying, but it doesn't have any impact on the correct behavior. You can just ignore it. The exception is caught and printed within Papyrus somewhere and I have it on my todo list to get rid of it. But it has rather low priority as this issue doesn't break the behavior.

Best wishes,

Philip


--
Philip Langer

Get professional Eclipse developer support:
http://eclipsesource.com/en/services/developer-support/
Previous Topic:expected behaviour of EMFCompare when Compare two UML models
Next Topic:[EMF COMPARE] Apply diffs between two objects in a third one
Goto Forum:
  


Current Time: Wed Jan 24 10:09:26 GMT 2018

Powered by FUDForum. Page generated in 0.01465 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software